Subject: Re: bug#29245: make check 4 FAIL:'s on 74bea6a03 gnu: linux-libre: Update to 4.13.12.

From: myglc2 <[email-masked]>
Date: Sat, 11 Nov 2017 12:14:02 -0500

On 11/11/2017 at 15:38 Ludovic Courtès writes:

> Hi,
>
> myglc2 <[email-masked]> skribis:
>
>> ============================================================================
>> Testsuite summary for GNU Guix 0.13.0.4589-74bea6
>> ============================================================================
>> # TOTAL: 745
>> # PASS:  731
>> # SKIP:  10
>> # XFAIL: 0
>> # FAIL:  4
>> # XPASS: 0
>> # ERROR: 0
>> ============================================================================
>
> I believe this is fixed by commits
> 4ad3a3f995dc9bd00edbe37eb773bf07d1ad14c0 and
> ae0307f7c2a6f382311a1cedcbbb3d35b6623bab.
>
> Can you check whether it works for you?
>
> Your test ‘test-suite.log’ file shows another failure in
> tests/guix-register.sh:
>
>   + sqlite3 /home/g1/src/guix/t-register-14509/var/guix/db/db.sqlite
>   Error: near line 1: database is locked
>
> I believe this one is due to too many parallel accesses stemming from
> “make -j10”, and can be worked around by using less parallelism (or
> doing “make recheck” if it fails anyway.)
>
> Thanks,
> Ludo’.

Thanks, that fixed it here. I'll let you close the bug. - George